## Delete Bucket `client.r2.buckets.delete(stringbucketName, BucketDeleteParamsparams, RequestOptionsoptions?): BucketDeleteResponse` **delete** `/accounts/{account_id}/r2/buckets/{bucket_name}` Deletes an existing R2 bucket. ### Parameters - `bucketName: string` Name of the bucket. - `params: BucketDeleteParams` - `account_id: string` Path param: Account ID. - `jurisdiction?: "default" | "eu" | "fedramp"` Header param: Jurisdiction where objects in this bucket are guaranteed to be stored. - `"default"` - `"eu"` - `"fedramp"` ### Returns - `BucketDeleteResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const bucket = await client.r2.buckets.delete('example-bucket', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(bucket); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "result": {}, "success": true } ```